/*
  CPP_CONTEST=2016
  CPP_PROBLEM=C
  CPP_LANG=CPP+OPENMP+MPI
  CPP_PROCESSES_PER_NODE=marte 1
*/

// 3

#include <stdlib.h>
#include <stdio.h>
#include <omp.h>
#include <mpi.h>
#include <iostream>
#include <iomanip>    

using namespace std;

extern void escribir(int,double *); //external, for debug

//maximum of the vector
double maximum(int n,double *v)
{
  double  m=v[0];
  for(int i=1;i<n;i++)
    if(v[i]>m)
      m=v[i];
  return m;
}

//update the vector substituting each position by the maximum minus the value in the position
void update(int n,double *v,double m)
{
  for(int i=0;i<n;i++)
    v[i]=m-v[i];
}

void  sec(int n,double *v,int np,int node)
{
  double m;
  for(int i=2;i<=n;i++)
  {
    m=maximum(i,v);
    update(i,v,m);
#ifdef DEBUG
    escribir(n,v);
#endif
  }
}

